CVE-2019-18225

Current Description

An issue was discovered in Citrix Application Delivery Controller (ADC) and Gateway before 10.5 build 70.8, 11.x before 11.1 build 63.9, 12.0 before build 62.10, 12.1 before build 54.16, and 13.0 before build 41.28. An attacker with management-interface access can bypass authentication to obtain appliance administrative access. These products formerly used the NetScaler brand name.

Basic Data

PublishedOctober 21, 2019
Last ModifiedOctober 24, 2019
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-287
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • AND
    • OR - Configuration 1
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3OSCitrixApplication Delivery Controller Firmware10.5*******
      2.3OSCitrixApplication Delivery Controller Firmware11.1*******
      2.3OSCitrixApplication Delivery Controller Firmware12.0*******
      2.3OSCitrixApplication Delivery Controller Firmware12.1*******
      2.3OSCitrixApplication Delivery Controller Firmware13.0*******
    • OR Running on/with:
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3HardwareCitrixApplication Delivery Controller-*******
  • AND
    • OR - Configuration 2
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3OSCitrixNetscaler Gateway Firmware10.5*******
      2.3OSCitrixNetscaler Gateway Firmware11.1*******
      2.3OSCitrixNetscaler Gateway Firmware12.0*******
      2.3OSCitrixNetscaler Gateway Firmware12.1*******
    • OR Running on/with:
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3HardwareCitrixNetscaler Gateway-*******
  • AND
    • OR - Configuration 3
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3OSCitrixGateway Firmware13.0*******
    • OR Running on/with:
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3HardwareCitrixGateway-*******

Vulnerable Software List

VendorProductVersions
Citrix Application Delivery Controller Firmware 10.5, 11.1, 12.0, 12.1, 13.0
Citrix Gateway Firmware 13.0
Citrix Netscaler Gateway Firmware 10.5, 11.1, 12.0, 12.1

References

NameSourceURLTags
https://support.citrix.com/article/CTX261055https://support.citrix.com/article/CTX261055MISCVendor Advisory